/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package hero.main;

import hero.main.standard.ApprovalWorkflow;

import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import javax.security.auth.login.LoginContext;

import org.ow2.bonita.deployment.XpdlParserException;
import org.ow2.bonita.facade.XPDLImportBean;
import org.ow2.bonita.facade.XPDLImportInterface;
import org.ow2.bonita.util.Misc;

/**
 * @author "Pierre Vigneras"
 * @date Dec 5, 2007
 */
public class XpdlImporter {
	public static void importFrom(final InputStream in) throws XpdlParserException, IOException {
		if (in == null) throw new IllegalArgumentException("InputStream is null!");
		XPDLImportInterface xpdlImport = new XPDLImportBean();
		xpdlImport.importDocument(Misc.getAllContentFrom(new InputStreamReader(in)));
	}

	public static void main(String[] args) throws Exception {
		if (args.length != 1) {
			System.err.println("Usage: " + XpdlImporter.class.getName() + " XpdlFile");
			System.exit(1);
		}
	
		final LoginContext loginContext = new LoginContext("Bonita", new StandardCallbackHandler());
		loginContext.login();
		
		final InputStream in = ApprovalWorkflow.class.getResourceAsStream(args[0]);
		if (in == null) throw new Exception("Can't find ressource: " + args[0]);
		XpdlImporter.importFrom(in);
	}
}
